1. Déterminer les 6 valeurs de k (k1 à k6) correspondant aux 6 fréquences des pistolets ( voir votre
rapport intermédiaire ou le sujet signal de la partie I, sur Moodle)

Les valeurs de k qui nous interessent sont : 

Fréquence (en kHz) | 85 | 90 | 95 | 100 | 115| 120 |
|---|---|---|---|---|---|---|
| K | 17 | 18 | 19 | 20 | 23 | 24 |

La graduation des fréquence est donnée par 
$$
\delta \omega = \frac{1}{T} = 5000 kHz
$$

ainsi:

$$
k_n = \frac{f_n}{5000 kHz}
$$

2. Le codage fonctionne de la même maniére que le complément à deux avec des valeur fractionnaire.
Considérons un codage A.B sur x bits
Les nombre de ce codage étant représentés par :
$b_{x-1}b_{x-2} \dots b_2b_1b_0$

Si le nombre est compris entre 00000...0 et 0111...1
La valeur décimale du nombre est donnée par :
$$\sum_{i=0}^{x-1} b_i \times 2^{i-B}$$
Et si le nombre est compris entre 100..00 et 11...111

La valeur décimale du nombre est donnée par :
$$-\sum_{i=0}^{x-1} (b_i-1) \times 2^{i-B}$$

$$0x02C1 \to 0b 0000 0010 1100 0001 \to 2^{-3}+2^{-5}+2^{-6}+2^{-12}= 0.172119140625$$

$$0xFE01 \to 0b 1111 1110 0000 0001 \to \sum^{-4}_{i=-11} 2^{i} \text{car nombre négatif} = -0.124755859375$$


