	PRESERVE8
	THUMB   
		

; ====================== zone de rservation de donnes,  ======================================
;Section RAM (read only) :
	area    mesdata,data,readonly


;Section RAM (read write):
	area    maram,data,readwrite
		
VarTime	dcd 0
	
	EXPORT VarTime

	
; ===============================================================================================
	
;constantes (quivalent du #define en C)
TimeValue	equ 900000


	EXPORT Delay_100ms ; la fonction Delay_100ms est rendue publique donc utilisable par d'autres modules.

		
;Section ROM code (read only) :		
	area    moncode,code,readonly
		


; REMARQUE IMPORTANTE 
; Cette manire de crer une temporisation n'est clairement pas la bonne manire de procder :
; - elle est peu prcise
; - la fonction prend tout le temps CPU pour... ne rien faire...
;
; Pour autant, la fonction montre :
; - les boucles en ASM
; - l'accs cr/lec de variable en RAM
; - le mcanisme d'appel / retour sous programme
;
; et donc possde un intrt pour dbuter en ASM pur

Delay_100ms proc
	
	    ldr r0,=VarTime  		  
						  
		ldr r1,=TimeValue
		str r1,[r0] ; addresse VarTime <- TimeValue Ces trois lignes stockent dans l'adresse r0=VarTime, la valeur de TimeValue 
		
BoucleTempo	 ; Cette fonction est quivalente a for(int i=*VarTime; i!=0; i--)
		ldr r1,[r0] ; i= *VarTime	
						
		subs r1,#1; i--
		str  r1,[r0] ; *VarTime = i
		bne	 BoucleTempo ; if (i!=0) BoucleTempo(); 
			
		bx lr ; lr contient l'adresse de retour, cette instruction revient  la fonction appelante (le main)
		endp
		
		
	END	